---
# Cop supports --autocorrect.
Style/ClassAndModuleChildren:
  Exclude:
    - 'app/components/pajamas/toggle_component.rb'
    - 'app/controllers/admin/abuse_reports_controller.rb'
    - 'app/controllers/admin/application_controller.rb'
    - 'app/controllers/admin/application_settings/appearances_controller.rb'
    - 'app/controllers/admin/application_settings_controller.rb'
    - 'app/controllers/admin/applications_controller.rb'
    - 'app/controllers/admin/clusters/integrations_controller.rb'
    - 'app/controllers/admin/clusters_controller.rb'
    - 'app/controllers/admin/cohorts_controller.rb'
    - 'app/controllers/admin/dashboard_controller.rb'
    - 'app/controllers/admin/deploy_keys_controller.rb'
    - 'app/controllers/admin/dev_ops_report_controller.rb'
    - 'app/controllers/admin/gitaly_servers_controller.rb'
    - 'app/controllers/admin/groups_controller.rb'
    - 'app/controllers/admin/health_check_controller.rb'
    - 'app/controllers/admin/hooks_controller.rb'
    - 'app/controllers/admin/identities_controller.rb'
    - 'app/controllers/admin/impersonation_tokens_controller.rb'
    - 'app/controllers/admin/impersonations_controller.rb'
    - 'app/controllers/admin/instance_review_controller.rb'
    - 'app/controllers/admin/integrations_controller.rb'
    - 'app/controllers/admin/jobs_controller.rb'
    - 'app/controllers/admin/keys_controller.rb'
    - 'app/controllers/admin/labels_controller.rb'
    - 'app/controllers/admin/plan_limits_controller.rb'
    - 'app/controllers/admin/projects_controller.rb'
    - 'app/controllers/admin/runner_projects_controller.rb'
    - 'app/controllers/admin/runners_controller.rb'
    - 'app/controllers/admin/sessions_controller.rb'
    - 'app/controllers/admin/spam_logs_controller.rb'
    - 'app/controllers/admin/system_info_controller.rb'
    - 'app/controllers/admin/topics/avatars_controller.rb'
    - 'app/controllers/admin/topics_controller.rb'
    - 'app/controllers/admin/usage_trends_controller.rb'
    - 'app/controllers/admin/users_controller.rb'
    - 'app/controllers/admin/version_check_controller.rb'
    - 'app/controllers/clusters/base_controller.rb'
    - 'app/controllers/clusters/clusters_controller.rb'
    - 'app/controllers/concerns/integrations/actions.rb'
    - 'app/controllers/concerns/metrics/dashboard/prometheus_api_proxy.rb'
    - 'app/controllers/concerns/snippets/blobs_actions.rb'
    - 'app/controllers/concerns/snippets/send_blob.rb'
    - 'app/controllers/concerns/spammable_actions/akismet_mark_as_spam_action.rb'
    - 'app/controllers/concerns/spammable_actions/captcha_check/html_format_actions_support.rb'
    - 'app/controllers/concerns/spammable_actions/captcha_check/json_format_actions_support.rb'
    - 'app/controllers/concerns/spammable_actions/captcha_check/rest_api_actions_support.rb'
    - 'app/controllers/dashboard/application_controller.rb'
    - 'app/controllers/dashboard/groups_controller.rb'
    - 'app/controllers/dashboard/labels_controller.rb'
    - 'app/controllers/dashboard/milestones_controller.rb'
    - 'app/controllers/dashboard/projects_controller.rb'
    - 'app/controllers/dashboard/snippets_controller.rb'
    - 'app/controllers/dashboard/todos_controller.rb'
    - 'app/controllers/explore/application_controller.rb'
    - 'app/controllers/explore/groups_controller.rb'
    - 'app/controllers/explore/projects_controller.rb'
    - 'app/controllers/explore/snippets_controller.rb'
    - 'app/controllers/groups/application_controller.rb'
    - 'app/controllers/groups/autocomplete_sources_controller.rb'
    - 'app/controllers/groups/avatars_controller.rb'
    - 'app/controllers/groups/boards_controller.rb'
    - 'app/controllers/groups/clusters/integrations_controller.rb'
    - 'app/controllers/groups/clusters_controller.rb'
    - 'app/controllers/groups/crm/contacts_controller.rb'
    - 'app/controllers/groups/crm/organizations_controller.rb'
    - 'app/controllers/groups/dependency_proxy_auth_controller.rb'
    - 'app/controllers/groups/dependency_proxy_for_containers_controller.rb'
    - 'app/controllers/groups/deploy_tokens_controller.rb'
    - 'app/controllers/groups/email_campaigns_controller.rb'
    - 'app/controllers/groups/group_links_controller.rb'
    - 'app/controllers/groups/group_members_controller.rb'
    - 'app/controllers/groups/imports_controller.rb'
    - 'app/controllers/groups/labels_controller.rb'
    - 'app/controllers/groups/milestones_controller.rb'
    - 'app/controllers/groups/runners_controller.rb'
    - 'app/controllers/groups/uploads_controller.rb'
    - 'app/controllers/import/base_controller.rb'
    - 'app/controllers/import/bitbucket_controller.rb'
    - 'app/controllers/import/bitbucket_server_controller.rb'
    - 'app/controllers/import/bulk_imports_controller.rb'
    - 'app/controllers/import/fogbugz_controller.rb'
    - 'app/controllers/import/gitea_controller.rb'
    - 'app/controllers/import/github_controller.rb'
    - 'app/controllers/import/gitlab_controller.rb'
    - 'app/controllers/import/gitlab_groups_controller.rb'
    - 'app/controllers/import/gitlab_projects_controller.rb'
    - 'app/controllers/import/history_controller.rb'
    - 'app/controllers/import/manifest_controller.rb'
    - 'app/controllers/import/phabricator_controller.rb'
    - 'app/controllers/import/url_controller.rb'
    - 'app/controllers/jira_connect/app_descriptor_controller.rb'
    - 'app/controllers/jira_connect/application_controller.rb'
    - 'app/controllers/jira_connect/branches_controller.rb'
    - 'app/controllers/jira_connect/events_controller.rb'
    - 'app/controllers/jira_connect/installations_controller.rb'
    - 'app/controllers/jira_connect/oauth_callbacks_controller.rb'
    - 'app/controllers/jira_connect/subscriptions_controller.rb'
    - 'app/controllers/jira_connect/users_controller.rb'
    - 'app/controllers/ldap/omniauth_callbacks_controller.rb'
    - 'app/controllers/oauth/applications_controller.rb'
    - 'app/controllers/oauth/authorizations_controller.rb'
    - 'app/controllers/oauth/authorized_applications_controller.rb'
    - 'app/controllers/oauth/jira_dvcs/authorizations_controller.rb'
    - 'app/controllers/oauth/token_info_controller.rb'
    - 'app/controllers/oauth/tokens_controller.rb'
    - 'app/controllers/profiles/accounts_controller.rb'
    - 'app/controllers/profiles/active_sessions_controller.rb'
    - 'app/controllers/profiles/application_controller.rb'
    - 'app/controllers/profiles/avatars_controller.rb'
    - 'app/controllers/profiles/chat_names_controller.rb'
    - 'app/controllers/profiles/emails_controller.rb'
    - 'app/controllers/profiles/gpg_keys_controller.rb'
    - 'app/controllers/profiles/groups_controller.rb'
    - 'app/controllers/profiles/keys_controller.rb'
    - 'app/controllers/profiles/notifications_controller.rb'
    - 'app/controllers/profiles/passwords_controller.rb'
    - 'app/controllers/profiles/personal_access_tokens_controller.rb'
    - 'app/controllers/profiles/preferences_controller.rb'
    - 'app/controllers/profiles/two_factor_auths_controller.rb'
    - 'app/controllers/profiles/u2f_registrations_controller.rb'
    - 'app/controllers/profiles/webauthn_registrations_controller.rb'
    - 'app/controllers/projects/alert_management_controller.rb'
    - 'app/controllers/projects/analytics/cycle_analytics/stages_controller.rb'
    - 'app/controllers/projects/analytics/cycle_analytics/summary_controller.rb'
    - 'app/controllers/projects/analytics/cycle_analytics/value_streams_controller.rb'
    - 'app/controllers/projects/application_controller.rb'
    - 'app/controllers/projects/artifacts_controller.rb'
    - 'app/controllers/projects/autocomplete_sources_controller.rb'
    - 'app/controllers/projects/avatars_controller.rb'
    - 'app/controllers/projects/badges_controller.rb'
    - 'app/controllers/projects/blame_controller.rb'
    - 'app/controllers/projects/blob_controller.rb'
    - 'app/controllers/projects/boards_controller.rb'
    - 'app/controllers/projects/branches_controller.rb'
    - 'app/controllers/projects/build_artifacts_controller.rb'
    - 'app/controllers/projects/builds_controller.rb'
    - 'app/controllers/projects/ci/daily_build_group_report_results_controller.rb'
    - 'app/controllers/projects/ci/lints_controller.rb'
    - 'app/controllers/projects/ci/pipeline_editor_controller.rb'
    - 'app/controllers/projects/cluster_agents_controller.rb'
    - 'app/controllers/projects/clusters/integrations_controller.rb'
    - 'app/controllers/projects/clusters_controller.rb'
    - 'app/controllers/projects/commit_controller.rb'
    - 'app/controllers/projects/commits_controller.rb'
    - 'app/controllers/projects/compare_controller.rb'
    - 'app/controllers/projects/confluences_controller.rb'
    - 'app/controllers/projects/cycle_analytics_controller.rb'
    - 'app/controllers/projects/deploy_keys_controller.rb'
    - 'app/controllers/projects/deploy_tokens_controller.rb'
    - 'app/controllers/projects/deployments_controller.rb'
    - 'app/controllers/projects/design_management/designs_controller.rb'
    - 'app/controllers/projects/discussions_controller.rb'
    - 'app/controllers/projects/environments/prometheus_api_controller.rb'
    - 'app/controllers/projects/environments/sample_metrics_controller.rb'
    - 'app/controllers/projects/environments_controller.rb'
    - 'app/controllers/projects/error_tracking/base_controller.rb'
    - 'app/controllers/projects/error_tracking_controller.rb'
    - 'app/controllers/projects/feature_flags_clients_controller.rb'
    - 'app/controllers/projects/feature_flags_controller.rb'
    - 'app/controllers/projects/feature_flags_user_lists_controller.rb'
    - 'app/controllers/projects/find_file_controller.rb'
    - 'app/controllers/projects/forks_controller.rb'
    - 'app/controllers/projects/google_cloud/base_controller.rb'
    - 'app/controllers/projects/google_cloud/deployments_controller.rb'
    - 'app/controllers/projects/google_cloud/gcp_regions_controller.rb'
    - 'app/controllers/projects/google_cloud/revoke_oauth_controller.rb'
    - 'app/controllers/projects/google_cloud/service_accounts_controller.rb'
    - 'app/controllers/projects/grafana_api_controller.rb'
    - 'app/controllers/projects/graphs_controller.rb'
    - 'app/controllers/projects/group_links_controller.rb'
    - 'app/controllers/projects/hook_logs_controller.rb'
    - 'app/controllers/projects/hooks_controller.rb'
    - 'app/controllers/projects/imports_controller.rb'
    - 'app/controllers/projects/incidents_controller.rb'
    - 'app/controllers/projects/issues_controller.rb'
    - 'app/controllers/projects/jobs_controller.rb'
    - 'app/controllers/projects/labels_controller.rb'
    - 'app/controllers/projects/mattermosts_controller.rb'
    - 'app/controllers/projects/merge_requests/application_controller.rb'
    - 'app/controllers/projects/merge_requests/conflicts_controller.rb'
    - 'app/controllers/projects/merge_requests/content_controller.rb'
    - 'app/controllers/projects/merge_requests/creations_controller.rb'
    - 'app/controllers/projects/merge_requests/diffs_controller.rb'
    - 'app/controllers/projects/merge_requests/drafts_controller.rb'
    - 'app/controllers/projects/merge_requests_controller.rb'
    - 'app/controllers/projects/milestones_controller.rb'
    - 'app/controllers/projects/mirrors_controller.rb'
    - 'app/controllers/projects/network_controller.rb'
    - 'app/controllers/projects/notes_controller.rb'
    - 'app/controllers/projects/pages_controller.rb'
    - 'app/controllers/projects/pages_domains_controller.rb'
    - 'app/controllers/projects/pipeline_schedules_controller.rb'
    - 'app/controllers/projects/pipelines_controller.rb'
    - 'app/controllers/projects/pipelines_settings_controller.rb'
    - 'app/controllers/projects/project_members_controller.rb'
    - 'app/controllers/projects/protected_branches_controller.rb'
    - 'app/controllers/projects/protected_refs_controller.rb'
    - 'app/controllers/projects/protected_tags_controller.rb'
    - 'app/controllers/projects/raw_controller.rb'
    - 'app/controllers/projects/redirect_controller.rb'
    - 'app/controllers/projects/refs_controller.rb'
    - 'app/controllers/projects/releases_controller.rb'
    - 'app/controllers/projects/repositories_controller.rb'
    - 'app/controllers/projects/runner_projects_controller.rb'
    - 'app/controllers/projects/runners_controller.rb'
    - 'app/controllers/projects/service_desk_controller.rb'
    - 'app/controllers/projects/service_ping_controller.rb'
    - 'app/controllers/projects/snippets/application_controller.rb'
    - 'app/controllers/projects/snippets/blobs_controller.rb'
    - 'app/controllers/projects/snippets_controller.rb'
    - 'app/controllers/projects/starrers_controller.rb'
    - 'app/controllers/projects/tags_controller.rb'
    - 'app/controllers/projects/templates_controller.rb'
    - 'app/controllers/projects/terraform_controller.rb'
    - 'app/controllers/projects/todos_controller.rb'
    - 'app/controllers/projects/tree_controller.rb'
    - 'app/controllers/projects/triggers_controller.rb'
    - 'app/controllers/projects/uploads_controller.rb'
    - 'app/controllers/projects/usage_quotas_controller.rb'
    - 'app/controllers/projects/variables_controller.rb'
    - 'app/controllers/projects/web_ide_schemas_controller.rb'
    - 'app/controllers/projects/web_ide_terminals_controller.rb'
    - 'app/controllers/projects/wikis_controller.rb'
    - 'app/controllers/projects/work_items_controller.rb'
    - 'app/controllers/snippets/application_controller.rb'
    - 'app/controllers/snippets/blobs_controller.rb'
    - 'app/controllers/snippets/notes_controller.rb'
    - 'app/controllers/terraform/services_controller.rb'
    - 'app/finders/admin/projects_finder.rb'
    - 'app/finders/merge_request/metrics_finder.rb'
    - 'app/finders/packages/package_file_finder.rb'
    - 'app/finders/packages/tags_finder.rb'
    - 'app/graphql/types/dependency_proxy/blob_type.rb'
    - 'app/graphql/types/dependency_proxy/group_setting_type.rb'
    - 'app/graphql/types/dependency_proxy/image_ttl_group_policy_type.rb'
    - 'app/graphql/types/dependency_proxy/manifest_type.rb'
    - 'app/graphql/types/dependency_proxy/manifest_type_enum.rb'
    - 'app/graphql/types/namespace/package_settings_type.rb'
    - 'app/graphql/types/namespace/shared_runners_setting_enum.rb'
    - 'app/helpers/ci/triggers_helper.rb'
    - 'app/helpers/groups/group_members_helper.rb'
    - 'app/helpers/projects/alert_management_helper.rb'
    - 'app/helpers/projects/cluster_agents_helper.rb'
    - 'app/helpers/projects/error_tracking_helper.rb'
    - 'app/helpers/projects/incidents_helper.rb'
    - 'app/helpers/projects/project_members_helper.rb'
    - 'app/helpers/projects/terraform_helper.rb'
    - 'app/models/analytics/cycle_analytics/aggregation.rb'
    - 'app/models/bulk_imports/configuration.rb'
    - 'app/models/bulk_imports/entity.rb'
    - 'app/models/bulk_imports/failure.rb'
    - 'app/models/bulk_imports/tracker.rb'
    - 'app/models/ci/build_pending_state.rb'
    - 'app/models/ci/commit_with_pipeline.rb'
    - 'app/models/customer_relations/contact.rb'
    - 'app/models/customer_relations/issue_contact.rb'
    - 'app/models/customer_relations/organization.rb'
    - 'app/models/dependency_proxy/blob.rb'
    - 'app/models/dependency_proxy/group_setting.rb'
    - 'app/models/dependency_proxy/image_ttl_group_policy.rb'
    - 'app/models/dependency_proxy/manifest.rb'
    - 'app/models/dependency_proxy/registry.rb'
    - 'app/models/error_tracking/client_key.rb'
    - 'app/models/error_tracking/error.rb'
    - 'app/models/error_tracking/error_event.rb'
    - 'app/models/group/crm_settings.rb'
    - 'app/models/instance_metadata/kas.rb'
    - 'app/models/issue/email.rb'
    - 'app/models/issue/metrics.rb'
    - 'app/models/issues/csv_import.rb'
    - 'app/models/loose_foreign_keys/deleted_record.rb'
    - 'app/models/merge_request/cleanup_schedule.rb'
    - 'app/models/merge_request/diff_commit_user.rb'
    - 'app/models/merge_request/metrics.rb'
    - 'app/models/namespace/admin_note.rb'
    - 'app/models/namespace/aggregation_schedule.rb'
    - 'app/models/namespace/detail.rb'
    - 'app/models/namespace/package_setting.rb'
    - 'app/models/namespace/root_storage_statistics.rb'
    - 'app/models/namespaces/sync_event.rb'
    - 'app/models/packages/build_info.rb'
    - 'app/models/packages/conan/file_metadatum.rb'
    - 'app/models/packages/conan/metadatum.rb'
    - 'app/models/packages/debian/group_architecture.rb'
    - 'app/models/packages/debian/group_component.rb'
    - 'app/models/packages/debian/group_component_file.rb'
    - 'app/models/packages/debian/group_distribution.rb'
    - 'app/models/packages/debian/group_distribution_key.rb'
    - 'app/models/packages/debian/project_architecture.rb'
    - 'app/models/packages/debian/project_component.rb'
    - 'app/models/packages/debian/project_component_file.rb'
    - 'app/models/packages/debian/project_distribution.rb'
    - 'app/models/packages/debian/project_distribution_key.rb'
    - 'app/models/packages/debian/publication.rb'
    - 'app/models/packages/dependency.rb'
    - 'app/models/packages/dependency_link.rb'
    - 'app/models/packages/event.rb'
    - 'app/models/packages/maven/metadatum.rb'
    - 'app/models/packages/npm/metadatum.rb'
    - 'app/models/packages/nuget/dependency_link_metadatum.rb'
    - 'app/models/packages/nuget/metadatum.rb'
    - 'app/models/packages/package.rb'
    - 'app/models/packages/package_file.rb'
    - 'app/models/packages/package_file_build_info.rb'
    - 'app/models/packages/pypi/metadatum.rb'
    - 'app/models/packages/sem_ver.rb'
    - 'app/models/packages/tag.rb'
    - 'app/models/projects/sync_event.rb'
    - 'app/models/protected_branch/merge_access_level.rb'
    - 'app/models/protected_branch/push_access_level.rb'
    - 'app/models/protected_tag/create_access_level.rb'
    - 'app/policies/namespace/package_setting_policy.rb'
    - 'app/policies/namespace/root_storage_statistics_policy.rb'
    - 'app/policies/wiki_page/meta_policy.rb'
    - 'app/serializers/acts_as_taggable_on/tag_entity.rb'
    - 'app/serializers/acts_as_taggable_on/tag_serializer.rb'
    - 'app/serializers/ci/lint/job_entity.rb'
    - 'app/serializers/ci/lint/result_entity.rb'
    - 'app/serializers/ci/lint/result_serializer.rb'
    - 'app/serializers/ci/pipeline_entity.rb'
    - 'app/serializers/import/base_provider_repo_entity.rb'
    - 'app/serializers/import/bitbucket_provider_repo_entity.rb'
    - 'app/serializers/import/bitbucket_server_provider_repo_entity.rb'
    - 'app/serializers/import/bulk_import_entity.rb'
    - 'app/serializers/import/fogbugz_provider_repo_entity.rb'
    - 'app/serializers/import/githubish_provider_repo_entity.rb'
    - 'app/serializers/import/gitlab_provider_repo_entity.rb'
    - 'app/serializers/import/manifest_provider_repo_entity.rb'
    - 'app/serializers/import/provider_repo_serializer.rb'
    - 'app/serializers/jira_connect/app_data_serializer.rb'
    - 'app/serializers/jira_connect/group_entity.rb'
    - 'app/serializers/jira_connect/subscription_entity.rb'
    - 'app/serializers/merge_requests/pipeline_entity.rb'
    - 'app/services/projects/branches_by_mode_service.rb'
    - 'app/services/repositories/base_service.rb'
    - 'app/services/repositories/destroy_service.rb'
    - 'app/uploaders/dependency_proxy/file_uploader.rb'
    - 'app/uploaders/packages/composer/cache_uploader.rb'
    - 'app/uploaders/packages/debian/component_file_uploader.rb'
    - 'app/uploaders/packages/debian/distribution_release_file_uploader.rb'
    - 'app/uploaders/packages/package_file_uploader.rb'
    - 'app/workers/merge_requests/delete_source_branch_worker.rb'
    - 'app/workers/merge_requests/handle_assignees_change_worker.rb'
    - 'app/workers/merge_requests/resolve_todos_worker.rb'
    - 'config/initializers/http_hostname_override.rb'
    - 'config/initializers/httpclient_patch.rb'
    - 'config/initializers/omniauth.rb'
    - 'config/initializers/postgres_cte_as_materialized.rb'
    - 'config/initializers/postgresql_cte.rb'
    - 'config/initializers/rdoc_segfault_patch.rb'
    - 'config/initializers/zz_metrics.rb'
    - 'ee/app/controllers/admin/audit_log_reports_controller.rb'
    - 'ee/app/controllers/admin/audit_logs_controller.rb'
    - 'ee/app/controllers/admin/credentials_controller.rb'
    - 'ee/app/controllers/admin/elasticsearch_controller.rb'
    - 'ee/app/controllers/admin/emails_controller.rb'
    - 'ee/app/controllers/admin/geo/application_controller.rb'
    - 'ee/app/controllers/admin/geo/designs_controller.rb'
    - 'ee/app/controllers/admin/geo/nodes_controller.rb'
    - 'ee/app/controllers/admin/geo/projects_controller.rb'
    - 'ee/app/controllers/admin/geo/replicables_controller.rb'
    - 'ee/app/controllers/admin/geo/settings_controller.rb'
    - 'ee/app/controllers/admin/licenses_controller.rb'
    - 'ee/app/controllers/admin/push_rules_controller.rb'
    - 'ee/app/controllers/admin/subscriptions_controller.rb'
    - 'ee/app/controllers/admin/user_permission_exports_controller.rb'
    - 'ee/app/controllers/concerns/registrations/verification.rb'
    - 'ee/app/controllers/ee/profiles/accounts_controller.rb'
    - 'ee/app/controllers/ee/profiles/preferences_controller.rb'
    - 'ee/app/controllers/ee/projects/analytics/cycle_analytics/summary_controller.rb'
    - 'ee/app/controllers/ee/projects/incidents_controller.rb'
    - 'ee/app/controllers/groups/analytics/application_controller.rb'
    - 'ee/app/controllers/groups/analytics/ci_cd_analytics_controller.rb'
    - 'ee/app/controllers/groups/analytics/coverage_reports_controller.rb'
    - 'ee/app/controllers/groups/analytics/cycle_analytics/value_streams_controller.rb'
    - 'ee/app/controllers/groups/analytics/cycle_analytics_controller.rb'
    - 'ee/app/controllers/groups/analytics/devops_adoption_controller.rb'
    - 'ee/app/controllers/groups/analytics/productivity_analytics_controller.rb'
    - 'ee/app/controllers/groups/analytics/repository_analytics_controller.rb'
    - 'ee/app/controllers/groups/analytics/tasks_by_type_controller.rb'
    - 'ee/app/controllers/groups/audit_events_controller.rb'
    - 'ee/app/controllers/groups/billings_controller.rb'
    - 'ee/app/controllers/groups/bulk_update_controller.rb'
    - 'ee/app/controllers/groups/compliance_frameworks_controller.rb'
    - 'ee/app/controllers/groups/contribution_analytics_controller.rb'
    - 'ee/app/controllers/groups/epic_boards_controller.rb'
    - 'ee/app/controllers/groups/epic_issues_controller.rb'
    - 'ee/app/controllers/groups/epics/notes_controller.rb'
    - 'ee/app/controllers/groups/epics_controller.rb'
    - 'ee/app/controllers/groups/hooks_controller.rb'
    - 'ee/app/controllers/groups/insights_controller.rb'
    - 'ee/app/controllers/groups/issues_analytics_controller.rb'
    - 'ee/app/controllers/groups/issues_controller.rb'
    - 'ee/app/controllers/groups/iteration_cadences_controller.rb'
    - 'ee/app/controllers/groups/iterations_controller.rb'
    - 'ee/app/controllers/groups/ldap_group_links_controller.rb'
    - 'ee/app/controllers/groups/ldap_settings_controller.rb'
    - 'ee/app/controllers/groups/ldaps_controller.rb'
    - 'ee/app/controllers/groups/merge_requests_controller.rb'
    - 'ee/app/controllers/groups/omniauth_callbacks_controller.rb'
    - 'ee/app/controllers/groups/push_rules_controller.rb'
    - 'ee/app/controllers/groups/saml_providers_controller.rb'
    - 'ee/app/controllers/groups/scim_oauth_controller.rb'
    - 'ee/app/controllers/groups/seat_usage_controller.rb'
    - 'ee/app/controllers/groups/security/compliance_dashboards_controller.rb'
    - 'ee/app/controllers/groups/security/credentials_controller.rb'
    - 'ee/app/controllers/groups/security/dashboard_controller.rb'
    - 'ee/app/controllers/groups/security/discover_controller.rb'
    - 'ee/app/controllers/groups/security/merge_commit_reports_controller.rb'
    - 'ee/app/controllers/groups/sso_controller.rb'
    - 'ee/app/controllers/groups/todos_controller.rb'
    - 'ee/app/controllers/groups/wikis_controller.rb'
    - 'ee/app/controllers/oauth/geo_auth_controller.rb'
    - 'ee/app/controllers/profiles/billings_controller.rb'
    - 'ee/app/controllers/profiles/slacks_controller.rb'
    - 'ee/app/controllers/projects/analytics/issues_analytics_controller.rb'
    - 'ee/app/controllers/projects/analytics/merge_request_analytics_controller.rb'
    - 'ee/app/controllers/projects/approver_groups_controller.rb'
    - 'ee/app/controllers/projects/approvers_controller.rb'
    - 'ee/app/controllers/projects/audit_events_controller.rb'
    - 'ee/app/controllers/projects/insights_controller.rb'
    - 'ee/app/controllers/projects/iteration_cadences_controller.rb'
    - 'ee/app/controllers/projects/iterations_controller.rb'
    - 'ee/app/controllers/projects/path_locks_controller.rb'
    - 'ee/app/controllers/projects/protected_environments_controller.rb'
    - 'ee/app/controllers/projects/push_rules_controller.rb'
    - 'ee/app/controllers/projects/quality/test_cases_controller.rb'
    - 'ee/app/controllers/projects/requirements_management/requirements_controller.rb'
    - 'ee/app/controllers/projects/subscriptions_controller.rb'
    - 'ee/app/controllers/projects/vulnerability_feedback_controller.rb'
    - 'ee/app/finders/ee/group_members_finder.rb'
    - 'ee/app/graphql/mutations/app_sec/fuzzing/coverage/corpus/create.rb'
    - 'ee/app/helpers/ee/groups/analytics/cycle_analytics_helper.rb'
    - 'ee/app/helpers/ee/groups/group_members_helper.rb'
    - 'ee/app/helpers/ee/security_orchestration_helper.rb'
    - 'ee/app/helpers/groups/ldap_sync_helper.rb'
    - 'ee/app/helpers/groups/security_features_helper.rb'
    - 'ee/app/helpers/groups/sso_helper.rb'
    - 'ee/app/helpers/projects/on_demand_scans_helper.rb'
    - 'ee/app/helpers/projects/security/api_fuzzing_configuration_helper.rb'
    - 'ee/app/helpers/projects/security/dast_configuration_helper.rb'
    - 'ee/app/helpers/projects/security/dast_profiles_helper.rb'
    - 'ee/app/helpers/projects/security/discover_helper.rb'
    - 'ee/app/helpers/projects/security/sast_configuration_helper.rb'
    - 'ee/app/models/analytics/devops_adoption.rb'
    - 'ee/app/models/analytics/devops_adoption/enabled_namespace.rb'
    - 'ee/app/models/analytics/devops_adoption/snapshot.rb'
    - 'ee/app/models/analytics/issues_analytics.rb'
    - 'ee/app/models/analytics/language_trend.rb'
    - 'ee/app/models/analytics/language_trend/repository_language.rb'
    - 'ee/app/models/concerns/geo/replicable_registry.rb'
    - 'ee/app/models/concerns/geo/selective_sync.rb'
    - 'ee/app/models/concerns/geo/syncable.rb'
    - 'ee/app/models/dast/profile_schedule.rb'
    - 'ee/app/models/ee/ci/job_artifact.rb'
    - 'ee/app/models/elastic/reindexing_slice.rb'
    - 'ee/app/models/elastic/reindexing_subtask.rb'
    - 'ee/app/models/elastic/reindexing_task.rb'
    - 'ee/app/models/epic/metrics.rb'
    - 'ee/app/models/epic/related_epic_link.rb'
    - 'ee/app/models/geo/base_registry.rb'
    - 'ee/app/models/geo/container_repository_registry.rb'
    - 'ee/app/models/geo/deleted_project.rb'
    - 'ee/app/models/geo/design_registry.rb'
    - 'ee/app/models/geo/event_log_state.rb'
    - 'ee/app/models/geo/group_wiki_repository_registry.rb'
    - 'ee/app/models/geo/job_artifact_registry.rb'
    - 'ee/app/models/geo/lfs_object_registry.rb'
    - 'ee/app/models/geo/merge_request_diff_registry.rb'
    - 'ee/app/models/geo/package_file_registry.rb'
    - 'ee/app/models/geo/pages_deployment_registry.rb'
    - 'ee/app/models/geo/project_registry.rb'
    - 'ee/app/models/geo/push_user.rb'
    - 'ee/app/models/geo/secondary_usage_data.rb'
    - 'ee/app/models/geo/snippet_repository_registry.rb'
    - 'ee/app/models/geo/terraform_state_version_registry.rb'
    - 'ee/app/models/geo/upload_registry.rb'
    - 'ee/app/models/protected_branch/required_code_owners_section.rb'
    - 'ee/app/models/protected_branch/unprotect_access_level.rb'
    - 'ee/app/serializers/vulnerabilities/feedback_entity.rb'
    - 'ee/app/serializers/vulnerabilities/feedback_serializer.rb'
    - 'ee/app/serializers/vulnerabilities/finding_diff_serializer.rb'
    - 'ee/app/serializers/vulnerabilities/finding_entity.rb'
    - 'ee/app/serializers/vulnerabilities/finding_reports_comparer_entity.rb'
    - 'ee/app/serializers/vulnerabilities/finding_serializer.rb'
    - 'ee/app/serializers/vulnerabilities/identifier_entity.rb'
    - 'ee/app/serializers/vulnerabilities/request_entity.rb'
    - 'ee/app/serializers/vulnerabilities/response_entity.rb'
    - 'ee/app/serializers/vulnerabilities/scanner_entity.rb'
    - 'ee/app/services/concerns/epics/related_epic_links/usage_data_helper.rb'
    - 'ee/app/services/ee/projects/after_rename_service.rb'
    - 'ee/app/services/ee/projects/disable_deploy_key_service.rb'
    - 'ee/app/services/ee/projects/enable_deploy_key_service.rb'
    - 'ee/db/fixtures/development/20_burndown.rb'
    - 'ee/db/fixtures/development/21_dast_profiles.rb'
    - 'ee/db/fixtures/development/30_customizable_cycle_analytics.rb'
    - 'ee/db/fixtures/development/32_compliance_report_violations.rb'
    - 'ee/db/fixtures/development/35_merge_request_predictions.rb'
    - 'ee/db/fixtures/development/90_productivity_analytics.rb'
    - 'ee/lib/ee/gitlab/analytics/cycle_analytics/aggregated/base_query_builder.rb'
    - 'ee/lib/ee/gitlab/analytics/cycle_analytics/base_query_builder.rb'
    - 'ee/lib/ee/gitlab/analytics/cycle_analytics/records_fetcher.rb'
    - 'ee/lib/ee/gitlab/background_migration/recalculate_vulnerability_finding_signatures_for_findings.rb'
    - 'ee/lib/ee/gitlab/throttle.rb'
    - 'ee/lib/gitlab/path_locks_finder.rb'
    - 'lib/api/error_tracking/client_keys.rb'
    - 'lib/api/error_tracking/collector.rb'
    - 'lib/api/error_tracking/project_settings.rb'
    - 'lib/gitlab/background_migration/drop_invalid_vulnerabilities.rb'
    - 'lib/gitlab/background_migration/recalculate_vulnerabilities_occurrences_uuid.rb'
    - 'lib/gitlab/background_migration/remove_duplicate_vulnerabilities_findings.rb'
    - 'lib/gitlab/background_migration/remove_occurrence_pipelines_and_duplicate_vulnerabilities_findings.rb'
    - 'lib/gitlab/ci/badge/base.rb'
    - 'lib/gitlab/ci/badge/coverage/metadata.rb'
    - 'lib/gitlab/ci/badge/coverage/report.rb'
    - 'lib/gitlab/ci/badge/coverage/template.rb'
    - 'lib/gitlab/ci/badge/metadata.rb'
    - 'lib/gitlab/ci/badge/pipeline/metadata.rb'
    - 'lib/gitlab/ci/badge/pipeline/status.rb'
    - 'lib/gitlab/ci/badge/pipeline/template.rb'
    - 'lib/gitlab/ci/badge/release/latest_release.rb'
    - 'lib/gitlab/ci/badge/release/metadata.rb'
    - 'lib/gitlab/ci/badge/release/template.rb'
    - 'lib/gitlab/ci/badge/template.rb'
    - 'lib/gitlab/ci/build/auto_retry.rb'
    - 'lib/gitlab/ci/build/rules/rule.rb'
    - 'lib/gitlab/ci/build/rules/rule/clause.rb'
    - 'lib/gitlab/ci/build/rules/rule/clause/changes.rb'
    - 'lib/gitlab/ci/build/rules/rule/clause/exists.rb'
    - 'lib/gitlab/ci/build/rules/rule/clause/if.rb'
    - 'lib/gitlab/ci/config/entry/include/rules/rule.rb'
    - 'lib/gitlab/ci/config/entry/rules/rule.rb'
    - 'lib/gitlab/ci/mask_secret.rb'
    - 'lib/gitlab/ci/warnings.rb'
    - 'lib/gitlab/config_helper.rb'
    - 'lib/gitlab/instrumentation/elasticsearch_transport.rb'
    - 'lib/gitlab/serverless/service.rb'
    - 'lib/gitlab/usage_data_counters/base_counter.rb'
    - 'lib/gitlab/usage_data_counters/ci_template_unique_counter.rb'
    - 'lib/gitlab/usage_data_counters/cycle_analytics_counter.rb'
    - 'lib/gitlab/usage_data_counters/designs_counter.rb'
    - 'lib/gitlab/usage_data_counters/note_counter.rb'
    - 'lib/gitlab/usage_data_counters/productivity_analytics_counter.rb'
    - 'lib/gitlab/usage_data_counters/service_usage_data_counter.rb'
    - 'lib/gitlab/usage_data_counters/snippet_counter.rb'
    - 'lib/gitlab/usage_data_counters/source_code_counter.rb'
    - 'lib/gitlab/usage_data_counters/wiki_page_counter.rb'
    - 'lib/release_highlights/validator/entry.rb'
    - 'qa/qa/page/component/project/templates.rb'
    - 'scripts/perf/gc/print_gc_stats.rb'
    - 'spec/support/inspect_squelch.rb'
    - 'spec/support/matchers/markdown_matchers.rb'
